Bug 1400204 - Filter out events from Azure Classic providers
Summary: Filter out events from Azure Classic providers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.1
Assignee: Bronagh Sorota
QA Contact: Ievgen Zapolskyi
URL:
Whiteboard: azure:event
Depends On: 1399296
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-30 17:00 UTC by Satoe Imaishi
Modified: 2017-02-27 19:25 UTC (History)
5 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1399296
Environment:
Last Closed: 2017-02-27 19:25:44 UTC
Category: ---
Cloudforms Team: Azure
Target Upstream Version:


Attachments (Terms of Use)
deployment events (10.07 KB, text/plain)
2017-02-01 14:14 UTC, Ievgen Zapolskyi
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-09 16:35:41 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/9d0be916ebd90ffcf923bd4a1abf229266fda38a

commit 9d0be916ebd90ffcf923bd4a1abf229266fda38a
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Mon Nov 28 13:04:27 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 9 11:32:47 2017 -0500

    Merge pull request #12 from bronaghs/azure_filter_event_classicvms
    
    Filter out Azure events from Classic Providers
    (cherry picked from commit 7852cb9aadb1d0acd2901d01fddbcae3762dad14)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1400204

 app/models/manageiq/providers/azure/cloud_manager.rb                | 4 ++++
 .../manageiq/providers/azure/cloud_manager/event_catcher/runner.rb  | 6 ++++--
 2 files changed, 8 insertions(+), 2 deletions(-)

Comment 4 Ievgen Zapolskyi 2017-01-31 16:41:36 UTC
Bronagh,

Actually, I havn't noticed any create/start/stop/remove events related to classic event. 
However, event_streams contains deployment messages for class vm created by me.
I've attached those events.
Could you confirm that such events shouldn't be filtered out along with classic vm events ?

Comment 5 Bronagh Sorota 2017-01-31 18:04:35 UTC
Levgen
I don't see the attachment but the info you sent me privately did not come from a classic provider, instead it came from Microsoft.Resources. The classic version of that provider is called "Microsoft.ClassicResources" so I would not expect that particular event to be filtered out.

Did you follow the steps I outlined above to reproduce? Did you see the debug in step 4?

Bronagh

Comment 6 Ievgen Zapolskyi 2017-02-01 14:14:43 UTC
Created attachment 1246669 [details]
deployment events

Comment 7 Ievgen Zapolskyi 2017-02-01 14:20:16 UTC
sorry, I'd prepared file with those events but forgot to attach it.

Regarding your question, yes, I followed your steps and saw appropriate debug messages for that vm.

I'm closing this ticket since you think these deployment messages shoudn't be filtered.

Comment 9 errata-xmlrpc 2017-02-27 19:25:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.